## code-oss 1.75.1

=== debian/changelog ===
code-oss (1.75.1-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:40:34 +0200

code-oss (1.75.1-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Revert "Force max_old_space_size=10240 for all commands in debian/rules"
  * Remove armhf from supported arch
  * New upstream version 1.75.1
  * Refresh patches
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.2 (no change)
  * Remove more telemetry
  * Improve dh_shlibdeps

  [ Ben Wilson ]
  * Try GitLab-CI again

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 09 Mar 2023 17:18:07 +0100

code-oss (1.72.2-0kali3) kali-dev; urgency=medium

  * Try to fix armhf: force max_old_space_size=10240 for all commands in
    debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Oct 2022 17:52:26 +0200

code-oss (1.72.2-0kali2) kali-dev; urgency=medium

  * Disable correctly the telemetry
  * Fix the build on armhf (JavaScript heap out of memory)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Oct 2022 16:11:01 +0200

code-oss (1.72.2-0kali1) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Remove debian/kali-ci.yml
  * New upstream version 1.72.2
  * Refresh patches
  * Fix a version in the requirement
  * Add a patch to fix the build on Linux
  * Add NODE_OPTIONS=--openssl-legacy-provider for nodejs 18
  * Add a patch to remove git usage during the build
  * Add missing build-dep curl
  * Update lintian-overrides
  * Bump Standards-Version to 4.6.1
  * Update debian/copyright

  [ Ben Wilson ]
  * Add executable to helper-script
  * New helper-script format
  * Add GitLab's CI configuration file
  * Disable kali-ci.yml
  * Pass arguments in helper-script
  * Consistency with tabs to spaces
  * Remove template comment and switch spaces to tabs

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 Oct 2022 11:42:57 +0200

code-oss (1.59.1-0kali1) kali-dev; urgency=medium

  * New upstream version 1.59.1
  * Refresh patches
  * WARNING: we need nodejs >= 14

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Aug 2021 18:16:53 +0200

code-oss (1.56.1-0kali3) kali-dev; urgency=medium

  * Add a patch to remove mimetypes

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 30 Aug 2021 13:44:25 +0200

code-oss (1.56.1-0kali2) kali-experimental; urgency=medium

  * Improve vscode helper-script and add code helper-script
  * Add Conflicts: code

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 19 May 2021 09:27:55 +0200

code-oss (1.56.1-0kali1) kali-experimental; urgency=medium

  * Initial release (see 5612)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 May 2021 14:52:47 +0200
