=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%code-oss-$1.tar.gz%" \
   https://github.com/microsoft/vscode/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
