## code-oss 1.100.3+ds

=== debian/changelog ===
code-oss (1.100.3+ds-0kali4) kali-dev; urgency=medium

  * Try to fix build on amd64

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 12 Jun 2025 13:43:12 +0200

code-oss (1.100.3+ds-0kali3) kali-dev; urgency=medium

  * Change max-old-space-size: build failed on amd64 and arm64

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 11 Jun 2025 13:57:43 +0200

code-oss (1.100.3+ds-0kali2) kali-dev; urgency=medium

  * Update debian/rules

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 06 Jun 2025 15:56:18 +0200

code-oss (1.100.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.100.3+ds

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 04 Jun 2025 11:48:19 +0200

code-oss (1.100.2+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.100.2+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 16 May 2025 17:31:03 +0200

code-oss (1.99.3+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.99.3+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 28 Apr 2025 17:01:27 +0200

code-oss (1.99.1+ds-0kali1) kali-dev; urgency=medium

  * New upstream version 1.99.1+ds
  * Update build-deps
  * Refresh patches
  * Add missing dep env-paths
  * Update build and installation
  * Update debian/undo-telemetry.sh

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 11 Apr 2025 16:50:11 +0200

code-oss (1.98.2+ds-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable 32bit builds.
  * ci: Disable arm64 due to time to build
  * d/upstream: Add upstream metadata

  [ Sophie Brun ]
  * New upstream version 1.98.2+ds

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 14 Mar 2025 14:40:49 +0100

code-oss (1.82.2+ds-0kali2) kali-dev; urgency=medium

  * Add more lintian overrides.
  * ci: Use large builder on amd64.

 -- Steev Klimaszewski <steev@kali.org>  Mon, 02 Oct 2023 23:26:11 -0500

code-oss (1.82.2+ds-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * ci: Disable CI on this package as it's too big.

  [ Sophie Brun ]
  * Filter .gitattributes
  * New upstream version 1.82.2+ds
  * Refresh patches
  * Add missing build-dep libkrb5-dev
  * Add patches to fix the build: revert upstream changes for deb build + use
    the package nodejs available in Kali.

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Sep 2023 17:03:31 +0200
