## code-oss 1.101.1+ds

=== debian/changelog ===
code-oss (1.101.1+ds-0kali2) kali-experimental; urgency=medium

  * Try to fix "Worker terminated due to reaching memory limit: JS heap out of
    memory"

 -- Sophie Brun <sophie@offensive-security.com>  Fri, 27 Jun 2025 16:22:53 +0200

code-oss (1.101.1+ds-0kali1) kali-experimental; urgency=medium

  * New upstream version 1.101.1+ds
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 25 Jun 2025 15:01:45 +0200
