=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 	VSCODE_ARCH := x64
-	OLD_SPACE_SIZE := 8192
+	OLD_SPACE_SIZE := 16384
 else ifeq ($(DEB_HOST_ARCH),arm64)
 	VSCODE_ARCH := arm64
 	OLD_SPACE_SIZE := 4096
@@ -25,11 +25,11 @@
 
 override_dh_auto_build:
 	npm install
-	node --max-old-space-size=4096 ./node_modules/gulp/bin/gulp.js compile
+	node ./node_modules/gulp/bin/gulp.js compile
 
 	./debian/undo-telemetry.sh
 	
-	node --max-old-space-size=$(OLD_SPACE_SIZE) ./node_modules/gulp/bin/gulp.js vscode-linux-$(VSCODE_ARCH)-min
+	node --max-old-space-size=$(OLD_SPACE_SIZE) --optimize-for-size ./node_modules/gulp/bin/gulp.js vscode-linux-$(VSCODE_ARCH)-min
 	node build/lib/electron
 
 override_dh_shlibdeps:
