## code-oss 1.101.1+ds+really1.99.3

=== debian/changelog ===
code-oss (1.101.1+ds+really1.99.3-0kali1) kali-experimental; urgency=medium

  * Revert to last working version 1.99.3 

 -- Sophie Brun <sophie@kali.org>  Fri, 04 Jul 2025 08:17:12 +0200
