## code-oss 1.109.0+ds

=== debian/changelog ===
code-oss (1.109.0+ds-0kali2) kali-experimental; urgency=medium

  * Try to build on amd64

 -- Sophie Brun <sophie@kali.org>  Fri, 06 Feb 2026 17:08:23 +0100

code-oss (1.109.0+ds-0kali1) kali-experimental; urgency=medium

  [ Arnaud Rebillout ]
  * Drop 'Rules-Requires-Root: no' from d/control
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 1.109.0+ds
  * Fix the build: with nodejs with typescript support
  * Refresh patches
  * Add missing build-deps
  * Update debian/rules for new upstream release

 -- Sophie Brun <sophie@kali.org>  Fri, 06 Feb 2026 15:48:26 +0100
