=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                curl,
                git,
-               nodejs (>= 14.0.0),
+               nodejs (>= 22.22.0+dfsg+~cs22.19.7),
                npm,
 	       g++,
                python3,
@@ -15,10 +15,13 @@
 	       libgtk-3-dev,
 	       libpango1.0-dev,
 	       libcairo2-dev,
+	       libkrb5-dev,
+	       libx11-dev,
 	       libxcomposite-dev,
 	       libxdamage-dev,
 	       libxext-dev,
 	       libxfixes-dev,
+	       libxkbfile-dev,
 	       libxrandr-dev,
 	       libgbm-dev,
 	       libxkbcommon-dev,
@@ -36,7 +39,6 @@
 Homepage: https://github.com/microsoft/vscode
 Vcs-Browser: https://gitlab.com/kalilinux/packages/code-oss
 Vcs-Git: https://gitlab.com/kalilinux/packages/code-oss.git
-Rules-Requires-Root: no
 
 Package: code-oss
 Architecture: amd64 arm64
