=== debian/rules ===
--- 
+++ 
@@ -5,16 +5,17 @@
 
 export HOME=$(CURDIR)/debian/fakehome
 export PATH := $(PATH):$(CURDIR)/debian/bin
-export NODE_OPTIONS=--openssl-legacy-provider
+#export NODE_OPTIONS=--openssl-legacy-provider 
+#export VSCODE_SKIP_NODE_VERSION_CHECK=1
 
 include /usr/share/dpkg/architecture.mk
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 	VSCODE_ARCH := x64
+	OLD_SPACE_SIZE := 8192
 else ifeq ($(DEB_HOST_ARCH),arm64)
 	VSCODE_ARCH := arm64
-else ifeq ($(DEB_HOST_ARCH),armhf)
-	VSCODE_ARCH := armhf
+	OLD_SPACE_SIZE := 4096
 else
 	$(error 'unsupported architecture')
 endif
@@ -24,13 +25,15 @@
 	dh $@
 
 override_dh_auto_build:
+	npm install -D node-gyp
 	npm install
-	node --max-old-space-size=10240 ./node_modules/gulp/bin/gulp.js compile
+
+	node --max-old-space-size=$(OLD_SPACE_SIZE) --experimental-strip-types ./node_modules/gulp/bin/gulp.js compile
 
 	./debian/undo-telemetry.sh
-	
-	node --max_old_space_size=4096 ./node_modules/gulp/bin/gulp.js vscode-linux-$(VSCODE_ARCH)-min
-	node build/lib/electron
+
+	node --max-old-space-size=$(OLD_SPACE_SIZE) --optimize-for-size ./node_modules/gulp/bin/gulp.js vscode-linux-$(VSCODE_ARCH)-min
+	node build/lib/electron.ts
 
 override_dh_shlibdeps:
 	# dpkg-shlibdeps: error fails because missing libraries.
