## code-oss 1.109.4+ds

=== debian/changelog ===
code-oss (1.109.4+ds-0kali1) kali-experimental; urgency=medium

  * New upstream version 1.109.4+ds
  * Refresh patches

 -- Sophie Brun <sophie@kali.org>  Tue, 17 Feb 2026 15:03:13 +0100

code-oss (1.109.0+ds-0kali3) kali-experimental; urgency=medium

  * Revert "Try to build on amd64"
  * Try to fix the build

 -- Sophie Brun <sophie@kali.org>  Wed, 11 Feb 2026 17:48:50 +0100
