=== debian/control ===
--- 
+++ 
@@ -33,6 +33,7 @@
 	       libnspr4-dev,
                libxkbfile-dev,
                libsecret-1-dev,
+	       procps,
                python-is-python3,
                pkgconf,
 Standards-Version: 4.6.2
