=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,16 @@
 
 export HOME=$(CURDIR)/debian/fakehome
 export PATH := $(PATH):$(CURDIR)/debian/bin
-#export NODE_OPTIONS=--openssl-legacy-provider 
-#export VSCODE_SKIP_NODE_VERSION_CHECK=1
 
 include /usr/share/dpkg/architecture.mk
 
+SPACE_SIZE=$(shell echo $$(free -m | grep ^Mem:)|cut -d ' ' -f 2)
+OLD_SPACE_SIZE=$(shell expr $(SPACE_SIZE) - 512)
+
 ifeq ($(DEB_HOST_ARCH),amd64)
 	VSCODE_ARCH := x64
-	OLD_SPACE_SIZE := 8192
 else ifeq ($(DEB_HOST_ARCH),arm64)
 	VSCODE_ARCH := arm64
-	OLD_SPACE_SIZE := 4096
 else
 	$(error 'unsupported architecture')
 endif
